summaryrefslogtreecommitdiffstats
path: root/source/a/lrzip
diff options
context:
space:
mode:
Diffstat (limited to 'source/a/lrzip')
-rwxr-xr-xsource/a/lrzip/lrzip.SlackBuild18
-rw-r--r--source/a/lrzip/slack-desc12
2 files changed, 19 insertions, 11 deletions
diff --git a/source/a/lrzip/lrzip.SlackBuild b/source/a/lrzip/lrzip.SlackBuild
index a69ed91e7..e580325a8 100755
--- a/source/a/lrzip/lrzip.SlackBuild
+++ b/source/a/lrzip/lrzip.SlackBuild
@@ -1,6 +1,6 @@
-#!/bin/sh
+#!/bin/bash
-# Copyright 2011, 2015 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2011, 2015, 2018 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -20,10 +20,11 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=lrzip
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -35,6 +36,14 @@ if [ -z "$ARCH" ]; then
esac
fi
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
NUMJOBS=${NUMJOBS:-" -j7 "}
if [ "$ARCH" = "i586" ]; then
@@ -51,7 +60,6 @@ else
LIBDIRSUFFIX=""
fi
-CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-$PKGNAM
@@ -77,7 +85,7 @@ CFLAGS="$SLKCFLAGS" \
--mandir=/usr/man \
--docdir=/usr/doc/$PKGNAM-$VERSION \
--disable-static \
- --build=$ARCH-slackware-linux
+ --build=$ARCH-slackware-linux || exit 1
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1
diff --git a/source/a/lrzip/slack-desc b/source/a/lrzip/slack-desc
index 12b1b9d69..e4bc5f81d 100644
--- a/source/a/lrzip/slack-desc
+++ b/source/a/lrzip/slack-desc
@@ -1,19 +1,19 @@
# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
+# The "handy ruler" below makes it easier to edit a package description. Line
# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in. You must
-# make exactly 11 lines for the formatting to be correct. It's also
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|
lrzip: lrzip (Long Range ZIP)
lrzip:
lrzip: LRZIP is a file compression program designed to do particularly well
-lrzip: on very large files containing long distance redundancy. The larger
+lrzip: on very large files containing long distance redundancy. The larger
lrzip: the file and the more memory you have, the better the compression
-lrzip: advantage this will provide. A variety of compression options allow
+lrzip: advantage this will provide. A variety of compression options allow
lrzip: optimizing for size or speed.
lrzip:
-lrzip: Homepage: http://ck.kolivas.org/apps/lrzip/
+lrzip: Homepage: http://ck.kolivas.org/apps/lrzip/
lrzip:
lrzip: